# XMPP Namespace Reference

## Classes

class | JID
class | BareJID
class | Transport
| This interface is the base class of each XMPP transport class. More...
class | Stream
| This class represents a XMPP stream, i.e. More...
class | BaseStreamHandler
class | Stanza
| XMPP stanzas: the following classes represent the three stanzas (PDUs) defined by the xmpp protocol. More...
class | Message
class | Presence
class | IQ
class | Identity
class | Roster

## Namespaces

namespace | C2S
namespace | Disco
| JEP-0030 Service Discovery classes.

namespace | MUC

## Functions

const PCaselessString & | LanguageTag ()
| Various constant strings.
const PCaselessString & | NamespaceTag ()
const PCaselessString & | MessageStanzaTag ()
const PCaselessString & | PresenceStanzaTag ()
const PCaselessString & | IQStanzaTag ()
const PCaselessString & | IQQueryTag ()
| PLIST (StanzaList, Stanza)
| IdentityList (PXMLElement *list)
PXMLElement * | AsXML (PXMLElement *parent) const

## Function Documentation

const PCaselessString& XMPP::LanguageTag | ( |  | ) |

Various constant strings.

const PCaselessString& XMPP::NamespaceTag | ( |  | ) |

const PCaselessString& XMPP::MessageStanzaTag | ( |  | ) |

const PCaselessString& XMPP::PresenceStanzaTag | ( |  | ) |

const PCaselessString& XMPP::IQStanzaTag | ( |  | ) |

const PCaselessString& XMPP::IQQueryTag | ( |  | ) |

XMPP::PLIST | ( | StanzaList | ,
|  | Stanza |  |
| ) |  |  |

XMPP::IdentityList | ( | PXMLElement * | list | ) |

PXMLElement* XMPP::AsXML | ( | PXMLElement * | parent | ) | const